Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Results 1 to 6 of 6
  1. #1
    Join Date
    Nov 2012
    Posts
    4

    Default Fehler MAIL_FILTER-0014 nach Update auf OXSE 6.20.7

    Nach dem Update von OXSE 6.20.3 / SLES11 auf OXSE 6.20.7 ist die Verbindung zum SIEVE-Server nicht mehr möglich (obwohl keinerlei Änderungen am System gemacht wurden). Vor dem Update ware die SIEVE-Verbindung möglich.

    Der Fehlercode: MAIL_FILTER-0014, -2089287305-1488

    Ein Telnet auf cyurs ergibt folgende Fehlermeldung:

    oxse:~ # telnet 192.168.1.100 2000
    Trying 192.168.1.100...
    Connected to 192.168.1.100.
    Escape character is '^]'.
    "IMPLEMENTATION" "Cyrus timsieved v2.3.11"
    "SASL" "PLAIN CRAM-MD5 GSSAPI DIGEST-MD5 LOGIN"
    "SIEVE" "comparator-i;ascii-numeric fileinto reject vacation imapflags notify envelope relational regex subaddress copy"
    "STARTTLS"
    OK

    Gibt es einen Hinweis, warum der Fehler aufgetreten ist, bzw. wie er behoben werden kann?

    Mit freundlichen Grüßen

    Reinhard Stroh


    PS: die Fehlermeldung:

    SEVERE: Logged at: com.openexchange.jsieve.export.SieveHandler.authGS SAPI(SieveHandler.java:752)
    SASL challenge failed
    com.openexchange.ajp13.remoteAddress=127.0.0.1
    Throwable occurred: javax.security.sasl.SaslException: Failure to initialize security context [Caused by org.iet
    f.jgss.GSSException, major code: 3, minor code: 0
    major string: Invalid name
    minor string: Cannot find realm for name sieve/localhost]
    at com.ibm.security.sasl.gsskerb.GssKrb5Client.<init> (GssKrb5Client.java:131)
    at com.ibm.security.sasl.gsskerb.FactoryImpl.createSa slClient(FactoryImpl.java:53)
    Last edited by reinhard.stroh; 11-23-2012 at 02:27 PM.

  2. #2
    Join Date
    Sep 2007
    Location
    Germany
    Posts
    494

  3. #3
    Carsten Hoeger is offline Open-Xchange Professional Services
    Join Date
    Mar 2007
    Posts
    703

    Default

    Either what Wolfgang pointed to or update to the latest version (6.22.1 as of now) where using GSSAPI as a
    mechanism is off per default, even if the server supports it.
    OXpedia.org - the answer to almost all questions.

  4. #4
    Join Date
    Nov 2012
    Posts
    4

    Default

    Danke für die Rückmeldung. GSSAPI war das Problem. Allerdings kann ich das nicht separat für SIEVE deaktivieren, sondern nur für CYRUS, was ein Sicherheitsproblem darstellen könnte.

    Als Workaround funktioniert es. Carsten Hoeger's Vorschlag, auf 6.22.1 upzudaten wird bei nächster Gelegenheit umgesetzt. Aber da wir in einem regulierten Umfeld operieren, ist so etwas ein zielmicher Verwaltungsaufwand ;-(

    lg

    Reinhard Stroh

  5. #5
    Carsten Hoeger is offline Open-Xchange Professional Services
    Join Date
    Mar 2007
    Posts
    703

    Default

    Deinstalling GSSAPI is not a security problem (or are you using Kerberos to authenticate your users?).
    OXpedia.org - the answer to almost all questions.

  6. #6
    Join Date
    Nov 2012
    Posts
    4

    Default

    My mistake: I thought it was necessery for TLS at all.

    regards

    Reinhard Stroh

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •